net.sf.jasperreports.components.spiderchart

## Class StandardSpiderPlot

- java.lang.Object
- - net.sf.jasperreports.components.spiderchart.StandardSpiderPlot

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Cloneable, ChartPlot, SpiderPlot, JRChangeEventsSupport, JRCloneable

      public class StandardSpiderPlot
      extends java.lang.Object
      implements SpiderPlot, JRChangeEventsSupport

  Version:
    $Id: StandardSpiderPlot.java 5877 2013-01-07 19:51:14Z teodord $
  Author:
    sanda zaharia (shertage@users.sourceforge.net)
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected java.awt.Color` | `axisLineColor`
    `protected java.lang.Float` | `axisLineWidth`
    `protected java.awt.Color` | `backcolor`
    `protected java.lang.Float` | `backgroundAlpha`
    `protected java.lang.Float` | `foregroundAlpha`
    `protected java.lang.Double` | `headPercent`
    `protected java.lang.Double` | `interiorGap`
    `protected java.awt.Color` | `labelColor`
    `protected JRFont` | `labelFont`
    `protected java.lang.Double` | `labelGap`
    `protected JRExpression` | `maxValueExpression`
    `static java.lang.String` | `PROPERTY_AXIS_LINE_COLOR`
    `static java.lang.String` | `PROPERTY_AXIS_LINE_WIDTH`
    `static java.lang.String` | `PROPERTY_BACKCOLOR`
    `static java.lang.String` | `PROPERTY_BACKGROUND_ALPHA`
    `static java.lang.String` | `PROPERTY_FOREGROUND_ALPHA`
    `static java.lang.String` | `PROPERTY_HEAD_PERCENT`
    `static java.lang.String` | `PROPERTY_INTERIOR_GAP`
    `static java.lang.String` | `PROPERTY_LABEL_COLOR`
    `static java.lang.String` | `PROPERTY_LABEL_FONT`
    `static java.lang.String` | `PROPERTY_LABEL_GAP`
    `static java.lang.String` | `PROPERTY_MAX_VALUE_EXPRESSION`
    `static java.lang.String` | `PROPERTY_ROTATION`
    `static java.lang.String` | `PROPERTY_START_ANGLE`
    `static java.lang.String` | `PROPERTY_TABLE_ORDER`
    `static java.lang.String` | `PROPERTY_WEB_FILLED`
    `protected SpiderRotationEnum` | `rotation`
    `protected java.lang.Double` | `startAngle`
    `protected TableOrderEnum` | `tableOrder`
    `protected java.lang.Boolean` | `webFilled`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `StandardSpiderPlot()`
    `StandardSpiderPlot(SpiderPlot spiderPlot, JRBaseObjectFactory factory)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Object` | `clone()`
    `void` | `collectExpressions(JRExpressionCollector collector)`
    `java.awt.Color` | `getAxisLineColor()`
    `java.lang.Float` | `getAxisLineWidth()`
    `java.awt.Color` | `getBackcolor()` Gets the chart background color.
    `java.lang.Float` | `getBackgroundAlpha()` Gets the transparency factor for this plot background.
    `JRPropertyChangeSupport` | `getEventSupport()` Returns the property change support object for this instance.
    `java.lang.Float` | `getForegroundAlpha()` Gets the transparency factor for this plot foreground.
    `java.lang.Double` | `getHeadPercent()`
    `java.lang.Double` | `getInteriorGap()`
    `java.awt.Color` | `getLabelColor()`
    `JRFont` | `getLabelFont()`
    `java.lang.Double` | `getLabelGap()`
    `JRExpression` | `getMaxValueExpression()`
    `org.jfree.chart.plot.PlotOrientation` | `getOrientation()` Gets the plot orientation (horizontal or vertical).
    `SpiderRotationEnum` | `getRotation()`
    `java.lang.Double` | `getStartAngle()`
    `TableOrderEnum` | `getTableOrder()`
    `java.lang.Boolean` | `getWebFilled()`
    `void` | `setAxisLineColor(java.awt.Color axisLineColor)`
    `void` | `setAxisLineWidth(java.lang.Float axisLineWidth)`
    `void` | `setBackcolor(java.awt.Color backcolor)`
    `void` | `setBackgroundAlpha(java.lang.Float backgroundAlpha)`
    `void` | `setForegroundAlpha(java.lang.Float foregroundAlpha)`
    `void` | `setHeadPercent(java.lang.Double headPercent)`
    `void` | `setInteriorGap(java.lang.Double interiorGap)`
    `void` | `setLabelColor(java.awt.Color labelColor)`
    `void` | `setLabelFont(JRFont labelFont)`
    `void` | `setLabelGap(java.lang.Double labelGap)`
    `void` | `setMaxValueExpression(JRExpression maxValueExpression)`
    `void` | `setRotation(SpiderRotationEnum rotation)`
    `void` | `setStartAngle(java.lang.Double startAngle)`
    `void` | `setTableOrder(TableOrderEnum tableOrder)`
    `void` | `setWebFilled(java.lang.Boolean webFilled)`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### PROPERTY_LABEL_FONT

          public static final java.lang.String PROPERTY_LABEL_FONT

      See Also:
        Constant Field Values

    - #### PROPERTY_MAX_VALUE_EXPRESSION

          public static final java.lang.String PROPERTY_MAX_VALUE_EXPRESSION

      See Also:
        Constant Field Values

    - #### PROPERTY_ROTATION

          public static final java.lang.String PROPERTY_ROTATION

      See Also:
        Constant Field Values

    - #### PROPERTY_TABLE_ORDER

          public static final java.lang.String PROPERTY_TABLE_ORDER

      See Also:
        Constant Field Values

    - #### PROPERTY_WEB_FILLED

          public static final java.lang.String PROPERTY_WEB_FILLED

      See Also:
        Constant Field Values

    - #### PROPERTY_START_ANGLE

          public static final java.lang.String PROPERTY_START_ANGLE

      See Also:
        Constant Field Values

    - #### PROPERTY_HEAD_PERCENT

          public static final java.lang.String PROPERTY_HEAD_PERCENT

      See Also:
        Constant Field Values

    - #### PROPERTY_INTERIOR_GAP

          public static final java.lang.String PROPERTY_INTERIOR_GAP

      See Also:
        Constant Field Values

    - #### PROPERTY_AXIS_LINE_COLOR

          public static final java.lang.String PROPERTY_AXIS_LINE_COLOR

      See Also:
        Constant Field Values

    - #### PROPERTY_AXIS_LINE_WIDTH

          public static final java.lang.String PROPERTY_AXIS_LINE_WIDTH

      See Also:
        Constant Field Values

    - #### PROPERTY_LABEL_GAP

          public static final java.lang.String PROPERTY_LABEL_GAP

      See Also:
        Constant Field Values

    - #### PROPERTY_LABEL_COLOR

          public static final java.lang.String PROPERTY_LABEL_COLOR

      See Also:
        Constant Field Values

    - #### PROPERTY_BACKCOLOR

          public static final java.lang.String PROPERTY_BACKCOLOR

      See Also:
        Constant Field Values

    - #### PROPERTY_BACKGROUND_ALPHA

          public static final java.lang.String PROPERTY_BACKGROUND_ALPHA

      See Also:
        Constant Field Values

    - #### PROPERTY_FOREGROUND_ALPHA

          public static final java.lang.String PROPERTY_FOREGROUND_ALPHA

      See Also:
        Constant Field Values

    - #### labelFont

          protected JRFont labelFont

    - #### maxValueExpression

          protected JRExpression maxValueExpression

    - #### rotation

          protected SpiderRotationEnum rotation

    - #### tableOrder

          protected TableOrderEnum tableOrder

    - #### webFilled

          protected java.lang.Boolean webFilled

    - #### startAngle

          protected java.lang.Double startAngle

    - #### headPercent

          protected java.lang.Double headPercent

    - #### interiorGap

          protected java.lang.Double interiorGap

    - #### axisLineColor

          protected java.awt.Color axisLineColor

    - #### axisLineWidth

          protected java.lang.Float axisLineWidth

    - #### labelGap

          protected java.lang.Double labelGap

    - #### labelColor

          protected java.awt.Color labelColor

    - #### backcolor

          protected java.awt.Color backcolor

    - #### backgroundAlpha

          protected java.lang.Float backgroundAlpha

    - #### foregroundAlpha

          protected java.lang.Float foregroundAlpha

  - ### Constructor Detail

    - #### StandardSpiderPlot

          public StandardSpiderPlot()

    - #### StandardSpiderPlot

          public StandardSpiderPlot(SpiderPlot spiderPlot,
                            JRBaseObjectFactory factory)

  - ### Method Detail

    - #### getLabelFont

          public JRFont getLabelFont()

      Specified by:
        `getLabelFont` in interface `SpiderPlot`
      Returns:
        the labelFont

    - #### getMaxValueExpression

          public JRExpression getMaxValueExpression()

      Specified by:
        `getMaxValueExpression` in interface `SpiderPlot`
      Returns:
        the maxValueExpression

    - #### getRotation

          public SpiderRotationEnum getRotation()

      Specified by:
        `getRotation` in interface `SpiderPlot`
      Returns:
        the rotation

    - #### getTableOrder

          public TableOrderEnum getTableOrder()

      Specified by:
        `getTableOrder` in interface `SpiderPlot`
      Returns:
        the tableOrder

    - #### getWebFilled

          public java.lang.Boolean getWebFilled()

      Specified by:
        `getWebFilled` in interface `SpiderPlot`
      Returns:
        the webFilled

    - #### getStartAngle

          public java.lang.Double getStartAngle()

      Specified by:
        `getStartAngle` in interface `SpiderPlot`
      Returns:
        the startAngle

    - #### getHeadPercent

          public java.lang.Double getHeadPercent()

      Specified by:
        `getHeadPercent` in interface `SpiderPlot`
      Returns:
        the headPercent

    - #### getInteriorGap

          public java.lang.Double getInteriorGap()

      Specified by:
        `getInteriorGap` in interface `SpiderPlot`
      Returns:
        the interiorGap

    - #### getAxisLineColor

          public java.awt.Color getAxisLineColor()

      Specified by:
        `getAxisLineColor` in interface `SpiderPlot`
      Returns:
        the axisLineColor

    - #### getAxisLineWidth

          public java.lang.Float getAxisLineWidth()

      Specified by:
        `getAxisLineWidth` in interface `SpiderPlot`
      Returns:
        the axisLineWidth

    - #### getLabelGap

          public java.lang.Double getLabelGap()

      Specified by:
        `getLabelGap` in interface `SpiderPlot`
      Returns:
        the labelGap

    - #### getLabelColor

          public java.awt.Color getLabelColor()

      Specified by:
        `getLabelColor` in interface `SpiderPlot`
      Returns:
        the labelColor

    - #### setLabelFont

          public void setLabelFont(JRFont labelFont)

    - #### setMaxValueExpression

          public void setMaxValueExpression(JRExpression maxValueExpression)

    - #### setRotation

          public void setRotation(SpiderRotationEnum rotation)

    - #### setTableOrder

          public void setTableOrder(TableOrderEnum tableOrder)

    - #### setWebFilled

          public void setWebFilled(java.lang.Boolean webFilled)

    - #### setStartAngle

          public void setStartAngle(java.lang.Double startAngle)

    - #### setHeadPercent

          public void setHeadPercent(java.lang.Double headPercent)

    - #### setInteriorGap

          public void setInteriorGap(java.lang.Double interiorGap)

    - #### setAxisLineColor

          public void setAxisLineColor(java.awt.Color axisLineColor)

    - #### setAxisLineWidth

          public void setAxisLineWidth(java.lang.Float axisLineWidth)

    - #### setLabelGap

          public void setLabelGap(java.lang.Double labelGap)

    - #### setLabelColor

          public void setLabelColor(java.awt.Color labelColor)

    - #### getBackcolor

          public java.awt.Color getBackcolor()

      Description copied from interface: `ChartPlot`
      Gets the chart background color.
      Specified by:
        `getBackcolor` in interface `ChartPlot`
      Returns:
        the backcolor

    - #### setBackcolor

          public void setBackcolor(java.awt.Color backcolor)

      Parameters:
        `backcolor` - the backcolor to set

    - #### getBackgroundAlpha

          public java.lang.Float getBackgroundAlpha()

      Description copied from interface: `ChartPlot`
      Gets the transparency factor for this plot background. The range is from 0 to 1, where 0 means transparent and 1 opaque. The default is 1.
      Specified by:
        `getBackgroundAlpha` in interface `ChartPlot`
      Returns:
        the backgroundAlpha

    - #### setBackgroundAlpha

          public void setBackgroundAlpha(java.lang.Float backgroundAlpha)

      Parameters:
        `backgroundAlpha` - the backgroundAlpha to set

    - #### getForegroundAlpha

          public java.lang.Float getForegroundAlpha()

      Description copied from interface: `ChartPlot`
      Gets the transparency factor for this plot foreground. The range is from 0 to 1, where 0 means transparent and 1 opaque. The default is 1.
      Specified by:
        `getForegroundAlpha` in interface `ChartPlot`
      Returns:
        the foregroundAlpha

    - #### setForegroundAlpha

          public void setForegroundAlpha(java.lang.Float foregroundAlpha)

      Parameters:
        `foregroundAlpha` - the foregroundAlpha to set

    - #### getOrientation

          public org.jfree.chart.plot.PlotOrientation getOrientation()

      Description copied from interface: `ChartPlot`
      Gets the plot orientation (horizontal or vertical).
      Specified by:
        `getOrientation` in interface `ChartPlot`

    - #### collectExpressions

          public void collectExpressions(JRExpressionCollector collector)

    - #### clone

          public java.lang.Object clone()

      Specified by:
        `clone` in interface `JRCloneable`
      Overrides:
        `clone` in class `java.lang.Object`

    - #### getEventSupport

          public JRPropertyChangeSupport getEventSupport()

      Description copied from interface: `JRChangeEventsSupport`
      Returns the property change support object for this instance.
      Specified by:
        `getEventSupport` in interface `JRChangeEventsSupport`
      Returns:
        the property change support object for this instance

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com